Page 1 of 1

Installation von Thonny in stretch

Posted: Sun Nov 04, 2018 12:03 pm
by maksimilian
Hallo Ihr,

ich habe mit sudo apt-get install python3-thonny auf meinem Pi3 mit stretch Thonny installiert. Damit erhalte ich Version 2.1.16 . Wie kann man auf eine aktuellere Version aufrüsten ? Ich möchte z.B. Breakpoints setzen können, was wohl erst ab Version 3.0 unterstützt wird. Aktuell scheint 3.0.5 zu sein, aber möglicherweise nicht für raspbian.

maksimilian

Re: Installation von Thonny in stretch

Posted: Sun Nov 04, 2018 1:19 pm
by fruitoftheloom
maksimilian wrote:
Sun Nov 04, 2018 12:03 pm
Hallo Ihr,

ich habe mit sudo apt-get install python3-thonny auf meinem Pi3 mit stretch Thonny installiert. Damit erhalte ich Version 2.1.16 . Wie kann man auf eine aktuellere Version aufrüsten ? Ich möchte z.B. Breakpoints setzen können, was wohl erst ab Version 3.0 unterstützt wird. Aktuell scheint 3.0.5 zu sein, aber möglicherweise nicht für raspbian.

maksimilian

Fully update Raspbian Stretch ??

Code: Select all

sudo apt update
sudo apt full-upgrade

Re: Installation von Thonny in stretch

Posted: Sun Nov 04, 2018 2:01 pm
by DirkS
fruitoftheloom wrote:
Sun Nov 04, 2018 1:19 pm
Fully update Raspbian Stretch ??

Code: Select all

sudo apt update
sudo apt full-upgrade
No. Latest version in RPF repo is 2.1.16

Pypi and piwheels have the latest version, so

Code: Select all

sudo pip3 install thonny
should get 3.0.5

Re: Installation von Thonny in stretch

Posted: Sun Nov 04, 2018 4:21 pm
by maksimilian
Yes, sudo pip3 install thonny installs Thonny 3.0.5. Thank you!!! Thonny doesn't appear in start menu now, but that is not so important.

maksimilian